<div class="container">
  <div class="row">
    <h1><span style="color: red">API</span> Liste des films</h1>
    <hr />
    <div>
      <label for="">Recherche : </label>
      <input
        class="form-control"
        type="text"
        (input)="searchFilm($event)"
        placeholder="Filtre avec le titre"
      />
    </div>
    <div
      class="col-md-4 cardItem"
      *ngFor="
        let film of apiValues | paginate: { itemsPerPage: 9, currentPage: p };
        let i = index
      "
    >
      <div class="card" style="width: 15rem">
        <img
          class="card-img-top imagePreview"
          src="../../assets/movie.jpg"
          alt="Card image cap"
        />
        <div class="card-body">
          <h5 class="card-title">{{ film.titre }}</h5>
          <div>
            <p class="card-text textP">
              {{ film.sypnosis }}
            </p>
            <span>
              <button class="btn btn-primary" (click)="goToDetails(film)">
                Voir plus
              </button>
            </span>
          </div>

          <span *ngIf="film.note"
            ><i
              *ngFor="
                let dummy of ' '.repeat(film.note).split('');
                let x = index
              "
              class="fa fa-star starNote"
            ></i>
          </span>
          <span *ngIf="!film.note"><em>Pas de note... </em> </span>
          <br /><br />
          <div>
            <button class="btn btn-warning" (click)="openDialog(film)">
              Editer</button
            >&nbsp;
            <button
              class="btn btn-danger"
              (click)="deleteMovieDynamicly(film.id)"
            >
              Supprimer
            </button>
          </div>
        </div>
      </div>
    </div>
    <pagination-controls (pageChange)="p = $event"></pagination-controls>
  </div>
</div>
